Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.content
Interface IAutoTextContent

All Superinterfaces:
  org.eclipse.birt.report.engine.css.engine.CSSStylableElement, IContent, IElement, IStyledElement, ITextContent

    public interface IAutoTextContent

extends ITextContent

Provides the interfaces for the AutoText Content.

AutoText Content is created at the start of the process, but the text value is set at the end of the process. The typical implementation of AutoText is total page of report.

The following types of the AutoText content are predefined:

- `TOTAL_PAGE`
- `PAGE_NUMBER`

Field Summary
`static int` | `PAGE_NUMBER`
`static int` | `PAGE_VARIABLE`
`static int` | `TOTAL_PAGE`
`static int` | `UNFILTERED_PAGE_NUMBER`
`static int` | `UNFILTERED_TOTAL_PAGE`

Fields inherited from interface org.eclipse.birt.report.engine.content.IContent
`AUTOTEXT_CONTENT, CELL_CONTENT, CONTAINER_CONTENT, DATA_CONTENT, DOCUMENT_EXTENSION, FOREIGN_CONTENT, GROUP_CONTENT, IMAGE_CONTENT, LABEL_CONTENT, LAYOUT_EXTENSION, LIST_BAND_CONTENT, LIST_CONTENT, LIST_GROUP_CONTENT, PAGE_CONTENT, REPORT_CONTENT, ROW_CONTENT, SERIALIZE_CONTENT, TABLE_BAND_CONTENT, TABLE_CONTENT, TABLE_GROUP_CONTENT, TEXT_CONTENT`

Method Summary
`int` | `getType()` Get the type of the AutoText Content.
`void` | `setType(int type)` Set the type of the AutoText Content.

Methods inherited from interface org.eclipse.birt.report.engine.content.ITextContent
`getText, setText`

Methods inherited from interface org.eclipse.birt.report.engine.content.IContent
`accept, cloneContent, getACL, getBookmark, getContentType, getExtension, getExtensions, getGenerateBy, getHeight, getHelpText, getHyperlinkAction, getInlineStyle, getInstanceID, getName, getReportContent, getResultSet, getTOC, getUserProperties, getWidth, getX, getY, hasChildren, isDirectionRTL, isLastChild, isRTL, readContent, setACL, setBookmark, setExtension, setExtensions, setGenerateBy, setHasChildren, setHeight, setHelpText, setHyperlinkAction, setInlineStyle, setInstanceID, setLastChild, setName, setReportContent, setTOC, setUserProperties, setWidth, setX, setY, writeContent`

Methods inherited from interface org.eclipse.birt.report.engine.css.engine.CSSStylableElement
`getComputedStyle, getCSSEngine, getStyle`

Methods inherited from interface org.eclipse.birt.report.engine.content.IStyledElement
`getComputedStyle, getStyle, getStyleClass, setStyleClass`

Field Detail

### TOTAL_PAGE

    static final int TOTAL_PAGE

See Also:
  Constant Field Values

### PAGE_NUMBER

    static final int PAGE_NUMBER

See Also:
  Constant Field Values

### UNFILTERED_TOTAL_PAGE

    static final int UNFILTERED_TOTAL_PAGE

See Also:
  Constant Field Values

### UNFILTERED_PAGE_NUMBER

    static final int UNFILTERED_PAGE_NUMBER

See Also:
  Constant Field Values

### PAGE_VARIABLE

    static final int PAGE_VARIABLE

See Also:
  Constant Field Values

Method Detail

### setType

    void setType(int type)

  Set the type of the AutoText Content. This type must be one of the predefines.
  - `TOTAL_PAGE`
  - `PAGE_NUMBER`

  Parameters:
    `type` - the type of the AutoText Content.

### getType

    int getType()

  Get the type of the AutoText Content.

  The return value must be on of the predefines.

  - `TOTAL_PAGE`
  - `PAGE_NUMBER`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.